{
  "name": "strimserve",
  "version": "0.0.1",
  "private": true,
  "scripts": {
    "dev": "vite dev",
    "build": "vite build && node ./scripts/create_media_symlink.js",
    "preview": "vite preview",
    "check": "svelte-kit sync && svelte-check --tsconfig ./tsconfig.json",
    "check:watch": "svelte-kit sync && svelte-check --tsconfig ./tsconfig.json --watch",
    "lint": "prettier --plugin-search-dir . --check . && eslint .",
    "format": "prettier --plugin-search-dir . --write .",
    "init_db": "cd db && node ./init_db.js",
    "update_db": "cd db && node ./update_db.js",
    "generate_iconfont_subset": "cd scripts && bash ./generate_iconfont_subset.sh"
  },
  "dependencies": {
    "@sveltejs/kit": "^1.30.4",
    "@types/node": "^20.17.16",
    "@typescript-eslint/eslint-plugin": "^5.62.0",
    "@typescript-eslint/parser": "^5.62.0",
    "carta-md": "^3.6.1",
    "dotenv": "^16.4.7",
    "eslint": "^8.57.1",
    "eslint-config-prettier": "^8.10.0",
    "eslint-plugin-svelte": "^2.46.1",
    "fontkit": "^2.0.4",
    "isomorphic-dompurify": "^2.21.0",
    "prettier": "^2.8.8",
    "prettier-plugin-svelte": "^2.10.1",
    "sqids": "^0.3.0",
    "svelte": "^4.2.19",
    "svelte-check": "^3.8.6",
    "svelte-select": "^5.8.3",
    "tslib": "^2.8.1",
    "typescript": "^5.7.3",
    "vite": "^4.5.9"
  },
  "type": "module",
  "devDependencies": {
    "svelte-adapter-bun": "https://github.com/gornostay25/svelte-adapter-bun"
  },
  "trustedDependencies": [
    "svelte-adapter-bun"
  ]
}
